<div class="align-items-stretch d-flex w-100 ">
    <app-side-bar></app-side-bar>
    <div class="main min-vh-100">
        <app-nav-bar [Navbar]="User"></app-nav-bar>
        <main class="content px-3 py-2 mt-3">
            <div class="container-fluid">
                <!-- Tu contenido principal aquí -->

                <form [formGroup]="form">
                    <div class="formulario-container">
                        <div class="formulario">
                            <h2>Formulario de Usuario</h2>

                            <label for="username">Nombre:</label>
                            <input type="text" id="username" name="username" formControlName="username">
                            <small appErrorInput [touched]="form.controls['username'].touched"
                                [dirty]="form.controls['username'].dirty" [errors]="form.controls['username'].errors"
                                class="error-message"></small>

                            <div class="campo-dividido">
                                <div>
                                    <label for="contractDate">Fecha de Contrato:</label>
                                    <input type="date" id="contractDate" formControlName="contractDate">
                                    <small appErrorInput [touched]="form.controls['contractDate'].touched"
                                        [dirty]="form.controls['contractDate'].dirty"
                                        [errors]="form.controls['contractDate'].errors" class="error-message"></small>
                                </div>
                                <div>
                                    <label for="salary">Salario:</label>
                                    <input type="number" id="salary" formControlName="salary">
                                    <small appErrorInput [touched]="form.controls['salary'].touched"
                                        [dirty]="form.controls['salary'].dirty"
                                        [errors]="form.controls['salary'].errors" class="error-message"></small>
                                </div>
                            </div>

                            <label for="email">Correo Electrónico:</label>
                            <input type="email" id="email" name="email" formControlName="email">
                            <small appErrorInput [touched]="form.controls['email'].touched"
                                [dirty]="form.controls['email'].dirty" [errors]="form.controls['email'].errors"
                                class="error-message"></small>

                            <label for="phone">Teléfono:</label>
                            <input type="tel" id="phone" name="phone" formControlName="phone">
                            <small appErrorInput [touched]="form.controls['phone'].touched"
                                [dirty]="form.controls['phone'].dirty" [errors]="form.controls['phone'].errors"
                                class="error-message"></small>

                            <label for="address">Dirección:</label>
                            <input type="text" id="address" name="address" formControlName="address">
                            <small appErrorInput [touched]="form.controls['address'].touched"
                                [dirty]="form.controls['address'].dirty" [errors]="form.controls['address'].errors"
                                class="error-message"> </small>

                            <div class="campo-dividido">
                                <div>
                                    <label for="civil">Estado Civil:</label>
                                    <select id="civil" name="civil" formControlName="civil">
                                        <option value="soltero">Soltero/a</option>
                                        <option value="casado">Casado/a</option>
                                        <option value="divorciado">Divorciado/a</option>
                                        <option value="viudo">Viudo/a</option>
                                    </select>
                                    <small appErrorInput [touched]="form.controls['civil'].touched"
                                        [dirty]="form.controls['civil'].dirty" [errors]="form.controls['civil'].errors"
                                        class="error-message"></small>
                                </div>
                                <div>
                                    <label for="gender">Género:</label>
                                    <select id="gender" name="gender" formControlName="gender">
                                        <option value="masculino">Masculino</option>
                                        <option value="femenino">Femenino</option>
                                        <option value="otro">Otro</option>
                                    </select>
                                    <small appErrorInput [touched]="form.controls['gender'].touched"
                                        [dirty]="form.controls['gender'].dirty"
                                        [errors]="form.controls['gender'].errors" class="error-message"></small>
                                </div>
                            </div>
                            <div>
                                <label for="birthdate">Fecha de nacimiento:</label>
                                <input type="date" id="birthdate" formControlName="birthdate">
                                <small appErrorInput [touched]="form.controls['birthdate'].touched"
                                    [dirty]="form.controls['birthdate'].dirty"
                                    [errors]="form.controls['birthdate'].errors" class="error-message"></small>
                            </div>
                            <div>
                                <label for="branch">Sucursal:</label>
                                <select id="branch" name="branch" formControlName="branch">
                                    <option value="1">Quitumbe</option>
                                    <option value="1">Recreo</option>
                                    <option value="1">Norte</option>
                                </select>
                                <small appErrorInput [touched]="form.controls['branch'].touched"
                                    [dirty]="form.controls['branch'].dirty" [errors]="form.controls['branch'].errors"
                                    class="error-message"></small>
                            </div>
    
                            <div>
                                <label for="role">Rol:</label>
                                <select id="role" name="role" formControlName="role">
                                    <option value="1">admin</option>
                                    <option value="1">empleado</option>
                                    <option value="1">cliente</option>
                                </select>
                                <small appErrorInput [touched]="form.controls['role'].touched"
                                    [dirty]="form.controls['role'].dirty" [errors]="form.controls['role'].errors"
                                    class="error-message"></small>
                            </div>
                            <div class="button-container">
                                <button type="submit" (click)="add()">Enviar</button>
                                <button type="submit" class="cancel-button" (click)="redirigirAAddRoles()">Cancelar</button>
                            </div>
                        </div>
                        
                    </div>

            </form>

            
    </div>
    </main>
</div>
</div>

